package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.AppVersionMapper;
import com.ruoyi.system.domain.AppVersion;
import com.ruoyi.system.service.IAppVersionService;

/**
 * versionService业务层处理
 * 
 * @author ruoyi
 * @date 2023-06-13
 */
@Service
public class AppVersionServiceImpl extends ServiceImpl<BaseMapper<AppVersion>,AppVersion> implements IAppVersionService
{
    @Autowired
    private AppVersionMapper appVersionMapper;

    /**
     * 查询version
     * 
     * @param id version主键
     * @return version
     */
    @Override
    public AppVersion selectAppVersionById(Long id)
    {
        return appVersionMapper.selectAppVersionById(id);
    }

    /**
     * 查询version列表
     * 
     * @param appVersion version
     * @return version
     */
    @Override
    public List<AppVersion> selectAppVersionList(AppVersion appVersion)
    {
        return appVersionMapper.selectAppVersionList(appVersion);
    }

    /**
     * 新增version
     * 
     * @param appVersion version
     * @return 结果
     */
    @Override
    public int insertAppVersion(AppVersion appVersion)
    {
        return appVersionMapper.insertAppVersion(appVersion);
    }

    /**
     * 修改version
     * 
     * @param appVersion version
     * @return 结果
     */
    @Override
    public int updateAppVersion(AppVersion appVersion)
    {
        return appVersionMapper.updateAppVersion(appVersion);
    }

    /**
     * 批量删除version
     * 
     * @param ids 需要删除的version主键
     * @return 结果
     */
    @Override
    public int deleteAppVersionByIds(Long[] ids)
    {
        return appVersionMapper.deleteAppVersionByIds(ids);
    }

    /**
     * 删除version信息
     * 
     * @param id version主键
     * @return 结果
     */
    @Override
    public int deleteAppVersionById(Long id)
    {
        return appVersionMapper.deleteAppVersionById(id);
    }
}
